Intermittent browser_selectpopup.js | Test timed out

RESOLVED FIXED in Firefox 52

Status

()

Firefox
General
P3
normal
RESOLVED FIXED
2 years ago
a year ago

People

(Reporter: philor, Assigned: Neil Deakin)

Tracking

({intermittent-failure})

unspecified
Firefox 53
intermittent-failure
Points:
---
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox51 wontfix, firefox52 fixed, firefox53 fixed)

Details

(Reporter)

Description

2 years ago
https://treeherder.mozilla.org/logviewer.html#?job_id=27828306&repo=mozilla-inbound
https://treeherder.mozilla.org/logviewer.html#?job_id=27843689&repo=mozilla-inbound
https://treeherder.mozilla.org/logviewer.html#?job_id=9337026&repo=fx-team

Comment 1

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* fx-team: 2
* mozilla-central: 1

Platform breakdown:
* windows7-32: 5
* windows8-64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-05-10&endday=2016-05-16&tree=all

Comment 2

2 years ago
18 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 12
* fx-team: 6

Platform breakdown:
* windows7-32: 12
* windows8-64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-05-16&endday=2016-05-22&tree=all

Comment 3

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 6
* mozilla-inbound: 5

Platform breakdown:
* windows7-32: 6
* windows8-64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-05-23&endday=2016-05-29&tree=all

Comment 4

2 years ago
14 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 7
* fx-team: 4
* mozilla-central: 3

Platform breakdown:
* windows7-32: 8
* windows8-64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-05-30&endday=2016-06-05&tree=all

Comment 5

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 5
* mozilla-inbound: 3
* mozilla-central: 3

Platform breakdown:
* windows7-32: 6
* windows8-64: 4
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-06-06&endday=2016-06-12&tree=all

Comment 6

2 years ago
13 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* fx-team: 3
* try: 1
* mozilla-central: 1
* mozilla-aurora: 1
* autoland: 1

Platform breakdown:
* windows7-32: 10
* windows8-64: 2
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-06-20&endday=2016-06-26&tree=all

Comment 7

2 years ago
12 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 4
* mozilla-inbound: 3
* mozilla-aurora: 2
* autoland: 2
* ash: 1

Platform breakdown:
* windows7-32: 10
* windows8-64: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-06-27&endday=2016-07-03&tree=all

Comment 8

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 3
* mozilla-inbound: 2
* mozilla-beta: 2
* fx-team: 2
* try: 1
* autoland: 1

Platform breakdown:
* windows7-32: 10
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-07-04&endday=2016-07-10&tree=all

Comment 9

a year ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-central: 2
* autoland: 2
* ash: 1

Platform breakdown:
* windows8-64: 5
* windows7-32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-07-11&endday=2016-07-17&tree=all
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* mozilla-central: 1
* autoland: 1

Platform breakdown:
* windows8-64: 3
* windows7-32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-07-18&endday=2016-07-24&tree=all

Comment 11

a year ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* try: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 3
* linux32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-11-07&endday=2016-11-13&tree=all
15 failures in 113 pushes (0.133 failures/push) were associated with this bug yesterday.  

Repository breakdown:
* mozilla-inbound: 9
* autoland: 4
* mozilla-central: 2

Platform breakdown:
* windows7-32-vm: 6
* linux64: 5
* windows8-64: 2
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-11-18&endday=2016-11-18&tree=all
30 failures in 715 pushes (0.042 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 14
* autoland: 12
* mozilla-central: 3
* graphics: 1

Platform breakdown:
* linux64: 16
* windows7-32-vm: 10
* windows8-64: 2
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-11-14&endday=2016-11-20&tree=all
66 failures in 623 pushes (0.106 failures/push) were associated with this bug in the last 7 days. 

This is the #17 most frequent failure this week. 

** This failure happened more than 50 times this week! Resolving this bug is a high priority. **

Repository breakdown:
* autoland: 30
* mozilla-inbound: 27
* mozilla-central: 5
* mozilla-aurora: 2
* try: 1
* graphics: 1

Platform breakdown:
* windows7-32-vm: 34
* linux64: 17
* windows8-64: 8
* linux32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-11-21&endday=2016-11-27&tree=all
On November 17th this bug started occurring much more frequently.  Now it is one of our more frequent bugs.

Here is a clip from a log [1]:
19:18:04     INFO - TEST-OK | browser/base/content/test/general/browser_selectTabAtIndex.js | took 354ms
19:18:04     INFO - checking window state
19:18:04     INFO - TEST-START | browser/base/content/test/general/browser_selectpopup.js
19:18:10     INFO - JavaScript error: resource://gre/modules/SelectContentHelper.jsm, line 81: TypeError: this._updateTimer is undefined
19:18:10     INFO - JavaScript error: resource://gre/modules/SelectContentHelper.jsm, line 89: TypeError: this.global is null
19:18:43     INFO -  JavaScript error: resource://gre/modules/FormHistory.jsm, line 375: NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIProperties.get]
19:18:43     INFO -  JavaScript error: resource://gre/modules/PlacesUtils.jsm, line 1974: NS_ERROR_XPC_GS_RETURNED_FAILURE: Component returned failure code: 0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE) [nsIJSCID.getService]
19:20:19     INFO - TEST-INFO | started process screenshot
19:20:19     INFO - TEST-INFO | screenshot: exit 0
19:20:19     INFO - <snipped 75 output lines - if you need more context, please use SimpleTest.requestCompleteLog() in your test>
19:20:19     INFO - Buffered messages logged at 19:18:05
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Tab away from select with no change - number of change events - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Open and close with change - number of input events - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Open and close with change - number of change events - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Tab away from select with change - number of input events - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Tab away from select with change - number of change events - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Spaces collapsed - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Non-breaking spaces not collapsed - 
19:20:19     INFO - Leaving test bound 
19:20:19     INFO - Entering test bound 
19:20:19     INFO - Buffered messages logged at 19:18:06
19:20:19     INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "data:text/html,%3Chtml%3E%3Cbody%3E%3Cselect%20id%3D%27one%27%3E%20%20%3Coption%20value%3D%27One%27%3EOne%3C/option%3E%20%20%3Coption%20value%3D%27Two%27%3ETwo%3C/option%3E%3C/select%3E%3Cselect%20id%3D%27two%27%3E%20%20%3Coption%20value%3D%27Three%27%3EThree%3C/option%3E%20%20%3Coption%20value%3D%27Four%27%3EFour%3C/option%3E%3C/select%3E%3Cselect%20id%3D%27three%27%3E%20%20%3Coption%20value%3D%27Five%27%3EFive%3C/option%3E%20%20%3Coption%20value%3D%27Six%27%3ESix%3C/option%3E%3C/select%3E%3C/body%3E%3C/ht" line: 0}]
19:20:19     INFO - Buffered messages logged at 19:18:07
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Different popup did not affect open popup - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup hidden when select is removed - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup hidden when tab is closed - 
19:20:19     INFO - Leaving test bound 
19:20:19     INFO - Entering test bound 
19:20:19     INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "data:text/html,%3Chtml%3E%3Cbody%3E%3Cdiv%20id%3D%27div%27%3E%3Ciframe%20id%3D%27frame%27%20width%3D%27320%27%20height%3D%27295%27%20style%3D%27border%3A%20none%3B%27%20%20%20%20%20%20%20%20src%3D%27data%3Atext/html%2C%3Cselect%20id%3Dselect%20autofocus%3E%3Coption%3Ehe%20he%20he%3C/option%3E%3Coption%3Eboo%20boo%3C/option%3E%3Coption%3Ebaz%20baz%3C/option%3E%3C/select%3E%27%3C/iframe%3E%3C/div%3E%3C/body%3E%3C/html%3E" line: 0}]
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | step 1 x - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | step 1 y - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | step 2 x - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | step 2 y - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | step 3 x - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | step 3 y - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | step 4 x - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | step 4 y - 
19:20:19     INFO - Buffered messages logged at 19:18:08
19:20:19     INFO - Leaving test bound 
19:20:19     INFO - Entering test bound test_event_order
19:20:19     INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "data:text/html,%3Chtml%3E%3Cbody%3E%3Cselect%20id%3D%27one%27%3E%20%20%3Coption%20value%3D%27One%27%3EOne%3C/option%3E%20%20%3Coption%20value%3D%27Two%27%3ETwo%3C/option%3E%3C/select%3E%3Cselect%20id%3D%27two%27%3E%20%20%3Coption%20value%3D%27Three%27%3EThree%3C/option%3E%20%20%3Coption%20value%3D%27Four%27%3EFour%3C/option%3E%3C/select%3E%3Cselect%20id%3D%27three%27%3E%20%20%3Coption%20value%3D%27Five%27%3EFive%3C/option%3E%20%20%3Coption%20value%3D%27Six%27%3ESix%3C/option%3E%3C/select%3E%3C/body%3E%3C/ht" line: 0}]
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Unexpected event input - 2 == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Expected the right event order - "input" == "input" - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | All of these events should bubble - true == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Cancellation property should match - false == false - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Target matches - "select" == "select" - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Unexpected event change - 1 == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Expected the right event order - "change" == "change" - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | All of these events should bubble - true == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Cancellation property should match - false == false - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Target matches - "select" == "select" - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Unexpected event mousedown - 5 == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Expected the right event order - "mousedown" == "mousedown" - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | All of these events should bubble - true == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Cancellation property should match - true == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Target matches - "option" == "option" - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Unexpected event mouseup - 4 == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Expected the right event order - "mouseup" == "mouseup" - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | All of these events should bubble - true == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Cancellation property should match - true == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Target matches - "option" == "option" - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Unexpected event input - 3 == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Expected the right event order - "input" == "input" - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | All of these events should bubble - true == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Cancellation property should match - false == false - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Target matches - "select" == "select" - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Unexpected event change - 2 == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Expected the right event order - "change" == "change" - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | All of these events should bubble - true == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Cancellation property should match - false == false - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Target matches - "select" == "select" - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Unexpected event click - 1 == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Expected the right event order - "click" == "click" - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | All of these events should bubble - true == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Cancellation property should match - true == true - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Target matches - "option" == "option" - 
19:20:19     INFO - Leaving test bound test_event_order
19:20:19     INFO - Entering test bound test_large_popup
19:20:19     INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "data:text/html,%3Chtml%3E%3Cbody%3E%3Cselect%20id%3D%27one%27%3E%20%20%3Coption%20value%3D%27One%27%3EOne%3C/option%3E%20%20%3Coption%20value%3D%27Two%27%3ETwo%3C/option%3E%3C/select%3E%3Cselect%20id%3D%27two%27%3E%20%20%3Coption%20value%3D%27Three%27%3EThree%3C/option%3E%20%20%3Coption%20value%3D%27Four%27%3EFour%3C/option%3E%3C/select%3E%3Cselect%20id%3D%27three%27%3E%20%20%3Coption%20value%3D%27Five%27%3EFive%3C/option%3E%20%20%3Coption%20value%3D%27Six%27%3ESix%3C/option%3E%3C/select%3E%3C/body%3E%3C/ht" line: 0}]
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | scroll position after mousemove over button - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | scroll position at drag up - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | scroll position at drag down - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | scroll position at mouseup - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | scroll position at mouseup again - 
19:20:19     INFO - Buffered messages logged at 19:18:09
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup top position in within browser area - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup bottom position in within browser area - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup scroll at correct position 1 - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup top position in within browser area - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup bottom position in within browser area - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup scroll at correct position 1 - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup top position in within browser area - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup bottom position in within browser area - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup scroll at correct position 1 - 
19:20:19     INFO - Leaving test bound test_large_popup
19:20:19     INFO - Entering test bound test_large_popup_in_small_window
19:20:19     INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "data:text/html,%3Chtml%3E%3Cbody%3E%3Cselect%20id%3D%27one%27%3E%20%20%3Coption%20value%3D%27One%27%3EOne%3C/option%3E%20%20%3Coption%20value%3D%27Two%27%3ETwo%3C/option%3E%3C/select%3E%3Cselect%20id%3D%27two%27%3E%20%20%3Coption%20value%3D%27Three%27%3EThree%3C/option%3E%20%20%3Coption%20value%3D%27Four%27%3EFour%3C/option%3E%3C/select%3E%3Cselect%20id%3D%27three%27%3E%20%20%3Coption%20value%3D%27Five%27%3EFive%3C/option%3E%20%20%3Coption%20value%3D%27Six%27%3ESix%3C/option%3E%3C/select%3E%3C/body%3E%3C/ht" line: 0}]
19:20:19     INFO - Buffered messages logged at 19:18:10
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | scroll position after mousemove over button - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | scroll position at drag up - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | scroll position at drag down - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | scroll position at mouseup - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | scroll position at mouseup again - 
19:20:19     INFO - Console message: [JavaScript Warning: "Key event not available on some keyboard layouts: key=“r” modifiers=“accel,alt” id=“toggleReaderMode”" {file: "chrome://mochikit/content/tests/SimpleTest/EventUtils.js" line: 776}]
19:20:19     INFO - Console message: [JavaScript Warning: "Key event not available on some keyboard layouts: key=“i” modifiers=“accel,alt,shift” id=“key_browserToolbox”" {file: "chrome://mochikit/content/tests/SimpleTest/EventUtils.js" line: 776}]
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup top position in within browser area - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup bottom position in within browser area - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup scroll at correct position 1 - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup top position in within browser area - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup bottom position in within browser area - 
19:20:19     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup scroll at correct position 1 - 
19:20:19     INFO - Console message: [JavaScript Error: "TypeError: this._updateTimer is undefined" {file: "resource://gre/modules/SelectContentHelper.jsm" line: 81}]
19:20:19     INFO - Console message: [JavaScript Error: "TypeError: this.global is null" {file: "resource://gre/modules/SelectContentHelper.jsm" line: 89}]
19:20:19     INFO - Buffered messages logged at 19:18:49
19:20:19     INFO - Longer timeout required, waiting longer...  Remaining timeouts: 1
19:20:19     INFO - Buffered messages logged at 19:19:19
19:20:19     INFO - Console message: [JavaScript Error: "1480303159501	Browser.Experiments.Experiments	ERROR	Experiments #0::httpGetRequest::onLoad() - Request to http://127.0.0.1:8888/experiments-dummy/manifest returned status 404" {file: "resource://gre/modules/Log.jsm" line: 753}]
19:20:19     INFO - App_append@resource://gre/modules/Log.jsm:753:9
19:20:19     INFO - Logger.prototype.log@resource://gre/modules/Log.jsm:389:7
19:20:19     INFO - LoggerRepository.prototype.getLoggerWithMessagePrefix/proxy.log@resource://gre/modules/Log.jsm:504:44
19:20:19     INFO - Experiments.Experiments/this._log.log@resource://app/modules/experiments/Experiments.jsm:327:5
19:20:19     INFO - Logger.prototype.error@resource://gre/modules/Log.jsm:397:5
19:20:19     INFO - Experiments.Experiments.prototype._httpGetRequest/xhr.onload@resource://app/modules/experiments/Experiments.jsm:958:9
19:20:19     INFO - EventHandlerNonNull*Experiments.Experiments.prototype._httpGetRequest@resource://app/modules/experiments/Experiments.jsm:956:5
19:20:19     INFO - Experiments.Experiments.prototype._loadManifest@resource://app/modules/experiments/Experiments.jsm:820:32
19:20:19     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:319:42
19:20:19     INFO - TaskImpl@resource://gre/modules/Task.jsm:277:3
19:20:19     INFO - createAsyncFunction/asyncFunction@resource://gre/modules/Task.jsm:252:14
19:20:19     INFO - Task_spawn@resource://gre/modules/Task.jsm:166:12
19:20:19     INFO - TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:389:16
19:20:19     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:327:15
19:20:19     INFO - TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:401:7
19:20:19     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:327:15
19:20:19     INFO - TaskImpl@resource://gre/modules/Task.jsm:277:3
19:20:19     INFO - createAsyncFunction/asyncFunction@resource://gre/modules/Task.jsm:252:14
19:20:19     INFO - Task_spawn@resource://gre/modules/Task.jsm:166:12
19:20:19     INFO - TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:389:16
19:20:19     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:327:15
19:20:19     INFO - TaskImpl@resource://gre/modules/Task.jsm:277:3
19:20:19     INFO - createAsyncFunction/asyncFunction@resource://gre/modules/Task.jsm:252:14
19:20:19     INFO - Task_spawn@resource://gre/modules/Task.jsm:166:12
19:20:19     INFO - Experiments.Experiments.prototype._run@resource://app/modules/experiments/Experiments.jsm:765:24
19:20:19     INFO - Experiments.Experiments.prototype.updateManifest@resource://app/modules/experiments/Experiments.jsm:853:12
19:20:19     INFO - ExperimentsService.prototype.notify@resource://app/components/ExperimentsService.js:66:7
19:20:19     INFO - TM_notify/<@resource://gre/components/nsUpdateTimerManager.js:218:11
19:20:19     INFO - TM_notify@resource://gre/components/nsUpdateTimerManager.js:263:7
19:20:19     INFO - 
19:20:19     INFO - Console message: [JavaScript Error: "1480303159502	Browser.Experiments.Experiments	ERROR	Experiments #0::_loadManifest - failure to fetch/parse manifest (continuing anyway): Error: Experiments - XHR status for http://127.0.0.1:8888/experiments-dummy/manifest is 404" {file: "resource://gre/modules/Log.jsm" line: 753}]
19:20:19     INFO - App_append@resource://gre/modules/Log.jsm:753:9
19:20:19     INFO - Logger.prototype.log@resource://gre/modules/Log.jsm:389:7
19:20:19     INFO - LoggerRepository.prototype.getLoggerWithMessagePrefix/proxy.log@resource://gre/modules/Log.jsm:504:44
19:20:19     INFO - Experiments.Experiments/this._log.log@resource://app/modules/experiments/Experiments.jsm:327:5
19:20:19     INFO - Logger.prototype.error@resource://gre/modules/Log.jsm:397:5
19:20:19     INFO - Experiments.Experiments.prototype._loadManifest@resource://app/modules/experiments/Experiments.jsm:830:7
19:20:19     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:320:42
19:20:19     INFO - Handler.prototype.process@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:935:21
19:20:19     INFO - this.PromiseWalker.walkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:813:7
19:20:19     INFO - Promise*this.PromiseWalker.scheduleWalkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:744:11
19:20:19     INFO - this.PromiseWalker.schedulePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:776:7
19:20:19     INFO - this.PromiseWalker.completePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:711:7
19:20:19     INFO - Experiments.Experiments.prototype._httpGetRequest/xhr.onload@resource://app/modules/experiments/Experiments.jsm:959:9
19:20:19     INFO - EventHandlerNonNull*Experiments.Experiments.prototype._httpGetRequest@resource://app/modules/experiments/Experiments.jsm:956:5
19:20:19     INFO - Experiments.Experiments.prototype._loadManifest@resource://app/modules/experiments/Experiments.jsm:820:32
19:20:19     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:319:42
19:20:19     INFO - TaskImpl@resource://gre/modules/Task.jsm:277:3
19:20:19     INFO - createAsyncFunction/asyncFunction@resource://gre/modules/Task.jsm:252:14
19:20:19     INFO - Task_spawn@resource://gre/modules/Task.jsm:166:12
19:20:19     INFO - TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:389:16
19:20:19     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:327:15
19:20:19     INFO - TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:401:7
19:20:19     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:327:15
19:20:19     INFO - TaskImpl@resource://gre/modules/Task.jsm:277:3
19:20:19     INFO - createAsyncFunction/asyncFunction@resource://gre/modules/Task.jsm:252:14
19:20:19     INFO - Task_spawn@resource://gre/modules/Task.jsm:166:12
19:20:19     INFO - TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:389:16
19:20:19     INFO - TaskImpl_run@resource://gre/modules/Task.jsm:327:15
19:20:19     INFO - TaskImpl@resource://gre/modules/Task.jsm:277:3
19:20:19     INFO - createAsyncFunction/asyncFunction@resource://gre/modules/Task.jsm:252:14
19:20:19     INFO - Task_spawn@resource://gre/modules/Task.jsm:166:12
19:20:19     INFO - Experiments.Experiments.prototype._run@resource://app/modules/experiments/Experiments.jsm:765:24
19:20:19     INFO - Experiments.Experiments.prototype.updateManifest@resource://app/modules/experiments/Experiments.jsm:853:12
19:20:19     INFO - ExperimentsService.prototype.notify@resource://app/components/ExperimentsService.js:66:7
19:20:19     INFO - TM_notify/<@resource://gre/components/nsUpdateTimerManager.js:218:11
19:20:19     INFO - TM_notify@resource://gre/components/nsUpdateTimerManager.js:263:7
19:20:19     INFO - 
19:20:19     INFO - Buffered messages finished
19:20:19     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/general/browser_selectpopup.js | Test timed out - 
19:20:19     INFO - MEMORY STAT | vsize 857MB | vsizeMaxContiguous 557MB | residentFast 228MB | heapAllocated 118MB
19:20:19     INFO - TEST-OK | browser/base/content/test/general/browser_selectpopup.js | took 135051ms
19:20:19     INFO - checking window state
19:20:19     INFO - Not taking screenshot here: see the one that was previously logged
19:20:19     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/general/browser_selectpopup.js | Found a browser window after previous test timed out - 



[1] https://archive.mozilla.org/pub/firefox/tinderbox-builds/mozilla-inbound-win32/1480294317/mozilla-inbound_win7_vm_test-mochitest-e10s-browser-chrome-7-bm129-tests1-windows-build315.txt.gz


it looks to me as if the previous test case had similar errors and left a window around, and these javascript errors might be related to the problem:
19:18:10     INFO - JavaScript error: resource://gre/modules/SelectContentHelper.jsm, line 81: TypeError: this._updateTimer is undefined
19:18:10     INFO - JavaScript error: resource://gre/modules/SelectContentHelper.jsm, line 89: TypeError: this.global is null
19:18:43     INFO -  JavaScript error: resource://gre/modules/FormHistory.jsm, line 375: NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIProperties.get]


I do not see these JS errors on a successful run, so do wonder if this is more of the root cause.

Neil, can you take a look at this bug?
Flags: needinfo?(enndeakin)
(Assignee)

Comment 17

a year ago
The screenshot shows that the window from the previous checks that ran within browser_selectpopup.js  is still open.

The increase in frequency is probably caused by 1311279.
Flags: needinfo?(enndeakin)
thanks for the pointer Neil, I found that backing this out solved the problem:
https://hg.mozilla.org/integration/mozilla-inbound/rev/23ec12a251ee2bcfdd0082961497a2b7399b209d

I had backed the other patch out originally, but it had the problem, so I backed both out and the problem went away.

Neil, can you work on a fix vs a backout of the root cause?
Flags: needinfo?(enndeakin)
18 failures in 170 pushes (0.106 failures/push) were associated with this bug yesterday.  

Repository breakdown:
* autoland: 9
* mozilla-inbound: 8
* mozilla-central: 1

Platform breakdown:
* linux64: 10
* windows7-32-vm: 7
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-11-29&endday=2016-11-29&tree=all
16 failures in 131 pushes (0.122 failures/push) were associated with this bug yesterday.  

Repository breakdown:
* autoland: 7
* mozilla-inbound: 4
* mozilla-central: 4
* mozilla-aurora: 1

Platform breakdown:
* windows7-32-vm: 8
* linux64: 7
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-11-30&endday=2016-11-30&tree=all
80 failures in 694 pushes (0.115 failures/push) were associated with this bug in the last 7 days. 

This is the #11 most frequent failure this week. 

** This failure happened more than 50 times this week! Resolving this bug is a high priority. **

Repository breakdown:
* mozilla-inbound: 30
* autoland: 27
* mozilla-central: 17
* try: 5
* mozilla-aurora: 1

Platform breakdown:
* windows7-32-vm: 41
* linux64: 31
* windows8-64: 4
* linux32: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-11-28&endday=2016-12-04&tree=all
16 failures in 52 pushes (0.308 failures/push) were associated with this bug yesterday.  

Repository breakdown:
* autoland: 10
* mozilla-inbound: 4
* try: 1
* mozilla-central: 1

Platform breakdown:
* windows7-32-vm: 12
* windows8-64: 2
* linux64: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-12-08&endday=2016-12-08&tree=all
57 failures in 289 pushes (0.197 failures/push) were associated with this bug in the last 7 days. 

This is the #4 most frequent failure this week. 

** This failure happened more than 50 times this week! Resolving this bug is a high priority. **

Repository breakdown:
* autoland: 30
* mozilla-inbound: 16
* mozilla-central: 10
* try: 1

Platform breakdown:
* windows7-32-vm: 37
* linux64: 10
* linux32: 6
* windows8-64: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-12-05&endday=2016-12-11&tree=all
Neil checking in with you- I know there was a Mozilla All Hands event, as it stands this is the #2 intermittent orange yesterday/today- top 5 for the last couple weeks.
(Assignee)

Comment 25

a year ago
I'd suggest backing out 1311279. Part 1 wouldn't cause this as it just adds a function which is only used by part 2.
Flags: needinfo?(enndeakin)
backed out patch in:
https://hg.mozilla.org/integration/mozilla-inbound/rev/8fcd8f50264be9c64aa85ac39097808f5bd59b30
https://hg.mozilla.org/mozilla-central/rev/8fcd8f50264b

Lets leave this open until we know the failure goes away for real.
It looks like this is still happening, perhaps with reduced frequency?

https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-central&job_id=5904374#L3437

 07:34:42     INFO - Buffered messages logged at 07:33:28
 07:34:42     INFO - Console message: [JavaScript Warning: "Key event not available on some keyboard layouts: key=“r” modifiers=“accel,alt” id=“toggleReaderMode”" {file: "chrome://mochikit/content/tests/SimpleTest/EventUtils.js" line: 776}]
 07:34:42     INFO - Console message: [JavaScript Warning: "Key event not available on some keyboard layouts: key=“i” modifiers=“accel,alt,shift” id=“key_browserToolbox”" {file: "chrome://mochikit/content/tests/SimpleTest/EventUtils.js" line: 776}]
 07:34:42     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup top position in within browser area - 
 07:34:42     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup bottom position in within browser area - 
 07:34:42     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup scroll at correct position 1 - 
 07:34:42     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup top position in within browser area - 
 07:34:42     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup bottom position in within browser area - 
 07:34:42     INFO - TEST-PASS | browser/base/content/test/general/browser_selectpopup.js | Popup scroll at correct position 1 - 
 07:34:42     INFO - Console message: [JavaScript Error: "TypeError: this._updateTimer is undefined" {file: "resource://gre/modules/SelectContentHelper.jsm" line: 81}]
 07:34:42     INFO - Console message: [JavaScript Error: "TypeError: this.global is null" {file: "resource://gre/modules/SelectContentHelper.jsm" line: 89}]
 07:34:42     INFO - Buffered messages logged at 07:33:55
 07:34:42     INFO - Longer timeout required, waiting longer...  Remaining timeouts: 1
 07:34:42     INFO - Buffered messages finished
07:34:42 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/general/browser_selectpopup.js | Test timed out -
this looks like much lower frequency- we were hitting ~10/day previously- our rate of pushes have been increasing this week and yesterday we had 5 instances and only 1 so far today.

I do wonder if fixing these JS errors would help:
 07:34:42     INFO - Console message: [JavaScript Error: "TypeError: this._updateTimer is undefined" {file: "resource://gre/modules/SelectContentHelper.jsm" line: 81}]
 07:34:42     INFO - Console message: [JavaScript Error: "TypeError: this.global is null" {file: "resource://gre/modules/SelectContentHelper.jsm" line: 89}]
45 failures in 526 pushes (0.086 failures/push) were associated with this bug in the last 7 days. 

This is the #9 most frequent failure this week. 

Repository breakdown:
* autoland: 18
* mozilla-inbound: 14
* mozilla-central: 7
* try: 3
* mozilla-aurora: 3

Platform breakdown:
* windows7-32-vm: 26
* linux64: 12
* linux32: 4
* windows8-64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-12-12&endday=2016-12-18&tree=all
41 failures in 609 pushes (0.067 failures/push) were associated with this bug in the last 7 days. 

This is the #13 most frequent failure this week. 

Repository breakdown:
* autoland: 22
* mozilla-inbound: 10
* try: 3
* mozilla-central: 3
* mozilla-aurora: 2
* graphics: 1

Platform breakdown:
* linux32: 12
* windows7-32-vm: 10
* osx-10-10: 9
* linux64: 9
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-12-19&endday=2016-12-25&tree=all
Neil, this is still showing up as one of our top intermittent failures, can you take a look at this?
Flags: needinfo?(enndeakin)
(Assignee)

Updated

a year ago
Flags: needinfo?(enndeakin)
Keywords: leave-open
(Assignee)

Comment 33

a year ago
https://hg.mozilla.org/integration/mozilla-inbound/rev/2ff971ab8ce7ecfa55a6bbf5a1082f7ef01e22d0
Bug 1272834, flush style after changing it to see if intermittent failure goes away

Comment 34

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/2ff971ab8ce7
27 failures in 305 pushes (0.089 failures/push) were associated with this bug in the last 7 days. 

This is the #21 most frequent failure this week. 

Repository breakdown:
* mozilla-inbound: 10
* mozilla-central: 7
* autoland: 7
* graphics: 2
* try: 1

Platform breakdown:
* linux64: 11
* windows7-32-vm: 7
* linux32: 4
* osx-10-10: 3
* windows8-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1272834&startday=2016-12-26&endday=2017-01-01&tree=all
(Assignee)

Comment 36

a year ago
No failures since the patch went in, so going to assume this is closed.
Status: NEW → RESOLVED
Last Resolved: a year ago
Keywords: leave-open
Resolution: --- → FIXED
Assignee: nobody → enndeakin
status-firefox51: --- → affected
status-firefox52: --- → affected
status-firefox53: --- → fixed
Target Milestone: --- → Firefox 53

Comment 37

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/3cfc29c948a7
status-firefox52: affected → fixed
Flags: in-testsuite+
status-firefox51: affected → wontfix
You need to log in before you can comment on or make changes to this bug.